org.jboss.jca.as.converters.wls.metadata

## Class AdminObjectsImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.AdminObjectsImpl

- All Implemented Interfaces:
    java.io.Serializable, AdminObjects, WlsMetadata

      public class AdminObjectsImpl
      extends java.lang.Object
      implements AdminObjects

  A generic AdminObjects.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.AdminObjects

      `AdminObjects.Attribute, AdminObjects.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminObjectsImpl(ConfigProperties props, java.util.List<AdminObjectGroup> aogs)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AdminObjectGroup>` | `getAdminObjectGroup()` getAdminObjectGroup
    `ConfigProperties` | `getDefaultProperties()` getDefaultProperties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminObjectsImpl

          public AdminObjectsImpl(ConfigProperties props,
                                  java.util.List<AdminObjectGroup> aogs)

      constructor
      Parameters:
        `props` - ConfigProperties
        `aogs` - List

  - ### Method Detail

    - #### getDefaultProperties

          public ConfigProperties getDefaultProperties()

      Description copied from interface: `AdminObjects`
      getDefaultProperties
      Specified by:
        `getDefaultProperties` in interface `AdminObjects`
      Returns:
        the ConfigProperties

    - #### getAdminObjectGroup

          public java.util.List<AdminObjectGroup> getAdminObjectGroup()

      Description copied from interface: `AdminObjects`
      getAdminObjectGroup
      Specified by:
        `getAdminObjectGroup` in interface `AdminObjects`
      Returns:
        the List

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)